Subject: [bug#78397] [PATCH] gnu: hwloc: Update to 2.12.1.

From: Greg Hogan <[email-masked]>
Date: Sun, 18 May 2025 13:12:34 -0500

On Tue, May 13, 2025 at 8:38 AM Andreas Enge <[email-masked]> wrote:
>
> Hello,
>
> Am Tue, May 13, 2025 at 09:12:53AM -0400 schrieb Greg Hogan:
> > hwloc-2 has 452 dependent packages so will need to go on a feature branch.
>
> I think the requirements have been relaxed (600 packages now?); in any
> case, this patch has been picked up by QA. But there are failing packages:
>    https://qa.guix.gnu.org/issue/78397
> In particular, hdf5-parallel-openmpi, which itself has a good number of
> dependents:
>    https://bordeaux.guix.gnu.org/build/9dd6876b-6457-43a0-9610-a6aa8b534442/log

The docs still state 300 packages
[https://guix.gnu.org/manual/devel/en/html_node/Managing-Patches-and-Branches.html]:

"Changes which affect more than 300 dependent packages (see Invoking
guix refresh) should first be pushed to a topic branch other than
master; the set of changes should be consistent—e.g., “GNOME update”,
“NumPy update”, etc. This allows for testing: the branch will
automatically show up at ‘https://qa.guix.gnu.org/branch/branch’, with
an indication of its build status on various platforms."

> Hm, they fail their tests, and on a casual look, I do not see how this
> could be related to the hwloc update.
>
> Andreas